package com.bc_chat.contacts.contract


import com.bc_chat.bc_base.contract.UpLoadPictureContract

/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：创建群
 */

interface CreateGroupContract {

    interface Presenter {

        fun createGroup(groupName: String, userName: String, uids: String, photo: String? = "")

    }

    interface View : UpLoadPictureContract.View {

        fun createGroupSuccess(groupId: String)

        fun createGroupFailure(exception: Exception)
    }
}
